#Module-Specific definitions
%define mod_version 0.2.1
%define release 1mdk
%define mod_name mod_auth_msfix
%define mod_conf A24_%{mod_name}.conf
%define mod_so %{mod_name}.so
%define sourcename %{mod_name}-%{mod_version}

#New ADVX macros
%define ADVXdir %{_datadir}/ADVX
%{expand:%(cat %{ADVXdir}/ADVX-build)}
%{expand:%%global ap_version %(%{apxs} -q ap_version)}

# Standard Module Definitions
%define name %{ap_name}-%{mod_name}
%define version %{ap_version}_%{mod_version}

#Standard ADVX requires
Prereq:		%{ap_name} = %{ap_version}
Prereq:		%{ap_name}-conf
BuildRequires:  ADVX-build >= 9.2
BuildRequires:  %{ap_name}-devel >= 2.0.43-5mdk

Summary:	A module that fix MS XP WebDAV client problem.
Name:		%{name}
Version:	%{version}
Release:	%{release}
Group:		System/Servers
Source0:	%{sourcename}.tar.bz2
Source1:	%{mod_conf}.bz2
License:	GPL
URL:		http://www.luluware.com/mod_auth_msfix.html
Prereq:		rpm-helper
Requires:	%{ap_name}-mod_dav
BuildRoot:	%{_tmppath}/%{name}-buildroot

%description
When MS XP Clients connect to WebDAV, they may have a problem
sending the user's name to Apache. They send domaine\username
or username@domaine, which break most of the authentification
module of Apache. 

This mod can fix the user's name by rewriting it.

%prep

%setup -q -n %{sourcename}

%build
%{apxs} -c %{mod_name}.c

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%ADVXinstlib
%ADVXinstconf %{SOURCE1} %{mod_conf}
%ADVXinstdoc %{name}-%{version}

%post
%ADVXpost

%postun
%ADVXpost

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc CHANGES INSTALL README mod_auth_msfix.html
%config(noreplace) %{ap_confd}/%{mod_conf}
%{ap_extralibs}/%{mod_so}
%{ap_webdoc}/*

%changelog
* Mon Jul 12 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.50_0.2.1-1mdk
- built for apache 2.0.50
- remove redundant provides

* Mon Jun 14 2004 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.0.49_0.2.1-1mdk
- 0.2.1
- built for apache 2.0.49

* Mon Mar 29 2004 Michael Scherer <misc@mandrake.org> 2.0.48_0.2.0-2mdk 
- Enhance description

* Wed Nov 12 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.0.48_0.2.0-1mdk
- initial cooker contrib
